dcraw(1)

NUME
dcraw - decodor linie de comandă pentru fotografiile digitale raw

SUMAR
dcraw [OPŢIUNE]... [FIŞIER]...

DESCRIERE
dcraw decodează fotografiile raw, afişează metadata, şi extrage miniaturile.

OPŢIUNI GENERALE

-v  Afişează mesajele detaliat, nu doar avertismentele şi erorile.

-c  Scrie imaginile decodate sau miniaturile la ieşirea standard.

-e  Extrage miniatura generată de cameră, nu imagine raw. Poate fi un fişier JPEG sau PPM, în funcţie de aparat.

-z  Schimbă data şi ora de access a fişierului AVI, JPEG, TIFF sau raw cu marcajul temporal al camerei, presupunînd că ceasul aparatului a fost setat la Timpul Universal.

-i  Identifică fişierele dar nu le decodează. Starea de ieşire este 0 dacă dcraw poate decoda ultimul fişier, 1 dacă nu se poate. -i -v arată metadatele.

    dcraw nu poate decoda fişierele JPEG!!

OPŢIUNI DE REPARARE

-I  Citeşte pixelii raw de la intrarea standard în ordinea octeţilor CPU fără nici un antet. Folosiţi dcraw -E -4 pentru a prelua valorile pixelilor raw.

-P pixelimorţi.txt
    Citeşte lista lista pixelilor morţi din acest fişier în loc de ".badpixels". Vedeţi FIŞIERE pentru decrierea formatului.

-K cadrunegru.pgm
    Scade un cadru negru din datele raw. Pentru a genera un cadru negru , faceţi o fotografie raw fără lumină şi lansaţi dcraw -D -4 -j -t 0.

-k întunecime
    Cînd umbrele apar înceţoşate, trebuie să măriţi nivelul întunecimii. Pentru a măsura aceasta, aplicaţi pamsumm -mean la cadrul negru generat mai sus.

-S saturaţie
    Cînd părţile luminoase sînt roz, trebuie să micşoraţi nivelul de saturaţie. Pentru a măsura aceasta, faceţi o fotografie cu ceva strălucitor şi aplicaţi dcraw -D -4 -j -c photo.raw | pamsumm -max

    Întunecimea şi saturaţia implicite sînt de obicei corecte.

-n prag_de_zgomot
    Foloseşte wavelets pentru a şterge zgomotul păstrînd în acelaşi timp detaliile reale. Pragul cel mai bun ar trebui să fie undeva între 100 şi 1000.

-C roşu_purpuriu albatru_purpuriu
    Măreşte straturile raw de roşu şi albastru de factorii daţi, de obicei de la 0.999 la 1.001, pentru a corecta aberaţia cromatică.

-H 0
    Taie toate părţile luminoase la alb solid (implicit).

-H 1
    Lasă părţile luminoase netăiate în diverse nuanţe de roz

-H 2
    Amestecă valorile părţilor tăiate şi netăiate pentru o estompare treptată la alb.

-H 3+
    Recuperare părţi luminoase. Numerele mici favoriează albul; numerele mari favorizează culorile. Încercaţi -H 5 ca un compromis. Dacă asta nu e suficient de bine, încercaţi -H 9, tăiaţi părţile luminoase ne-albe, şi lipiţi-le într-o imagine generată cu -H 3.

OPŢIUNI CULORI
Implicit, dcraw foloseşte un balans de alb bazat pe o diagramă culoare iluminată cu o lapmă standard D65.

-w  Foloseşte balansul de alb specificat de aparat. Dacă acesta nu este găsit, afişează un avertisment şi foloseşte altă metodă.

-a  Calculează balansul de alb folosind media întregii imagini.

-A stînga sus lăţime înălţime
    Calculează balansul de alb folosind media unei zone dreptunghiulare. Întîi faceţi dcraw -j -t 0 şi selectaţi zona de culoare gri neutru.

-r mul0 mul1 mul2 mul3
    Specificaţi propriul balans de alb raw. Aceşti multiplicatori pot fi tăiate şi lipite de la ieşirea a dcraw -v.

+M or -M
    Foloseşte (sau nu foloseşte) orice matrice culoare din metadata camerei. Implicit este +M dacă -w este setat, -M altfel. Această opţiune afectează doar camerele Olympus, Leaf, şi Phase One.

-o [0-6]
    Selectează spaţiul de culoare de ieşire atunci cînd -p opţiunea nu este folosită: 0 culori Raw (unice pentru fiecare aparat)
    1 sRGB D65 (implicit)
    2 Adobe RGB (1998) D65
    3 Wide Gamut RGB D65
    4 Kodak ProPhoto RGB D65
    5 XYZ
    6 ACES

-p camera.icm [ -o ieşire.icm ]
    Foloseşte profilele ICC pentru a defini spaţiul de culoare raw al camerei şi spaţiul de culoare de ieşire dorit (implicit sRGB).

-p embed
    Foloseşte profilul ICC încorporat în fotografia raw.

OPŢIUNI INTERPOLARE

-d  Arată datele raw ca date imagine în nuanţe de gri fără interpolare. Bun pentru fotografierea alb-negru a documentelor.

-D  La fel ca -d, dar cu valorile pixelilor originali nescalaţi.

-E  La fel ca -D, Dar pixeli mascaţi nu sînt tăiaţi.

-h  Scoate o imagine color la jumătatea dimensiunilor. De două ori mai rapid ca -q 0.

-q 0
    Foloseşte viteză mare, calitate mică, interpolare bilieară.

-q 1
    Foloseşte interpolarea Număr de Gradeuri Variabile (VNG).

-q 2
    Foloseşte interpolarea Model Grupre Pixeli (PPG).

-q 3
    Foloseşte interpolarea Adaptivitate Omogen-Directată (AHD).

-f  Interpolează RGB ca patru culori. Folosiţi asta daca ieşirea arată false ochiuri 2x2 cu VNG sau labirinturi cu AHD.

-m numărul_de_paşi
    După interpolare, curăţă artefactele culorilor aplicînd repetat un filtru medie 3x3 la canalele R-G şi B-G.

OPŢIUNI IEŞIRE
Implicit, dcraw scrie PGM/PPM/PAM cu eşantioane pe 8-biţi, o curbă gamma BT.709, un nivel de alb bazat pe histogramă, şi fără metadate.

-W  Foloseşte un nivel de alb fix, ignorînd histograma imaginii.

-b luminozitate
    Împarte nivelul de alb la acest număr, implicit 1.0.

-g power toe_slope
    Setează curba gamma, implicit BT.709 (-g 2.222 4.5). Dacă preferaţi gamma sRGB, folosiţi -g 2.4 12.92. Pentru o simplă curbă puternică, setaţi toe slope la zero.

-6  Scrie 16 biţi per eşantion în loc de 8.

-4  16-biţi lineari, la fel ca -6 -W -g 1 1.

-T  Scrie TIFF fără metadate în loc de PGM/PPM/PAM.

-t [0-7,90,180,270]
    Întoarce imaginea de ieşire. Implicit, dcraw aplică întoarcerea speecificată de aparat. -t 0 dezactivează toate întoarcerile.

-j  Pentru aparatele Fuji Super CCD, arată imaginea înclinată la 45 de grade. Pentru camerele cu pixeli non-pătraţi, nu redimensionează imaginea la raportul său de aspect corect. În orice caz, această opţiune garantează că fiecare pixel de ieşire corespunde unui pixel raw.

-s [0..N-1] or -s all
    Dacă un fişier conţine N imagini raw, alegeţi unul sau "toate" pentru decodare. De exemplu, camerele Fuji Super CCD SR generează o imagine secundară subexpusă patru opriri pentru a arăta detaliile în părţile luminoase.

FIŞIERE

./.badpixels, ../.badpixels, ../../.badpixels, ...
    Lista cu pixeli morţi a aparatului dvs., astfel încît dcraw poate interpola în jurul lor. Fiecare linie specifică coloana, rîndul, şi timpul UNIX al morţii pentru un pixel. De exemplu:

     962   91 1028350000  # mort între August 1 şi 4, 2002
    1285 1067 0           # nu ştiu cînd a murit acest pixel

    Aceste coordonate sînt înainte de orice trunchere sau rotire, deci utilizaţi dcraw -j -t 0 pentru a loca pixelii morţi.

VEDEŢI ŞI
pgm(5), ppm(5), pam(5), pamsumm(1), pnmgamma(1), pnmtotiff(1), pnmtopng(1), gphoto2(1), cjpeg(1), djpeg(1)

AUTOR
Scris de David Coffin, dcoffin a cybercom o net

TRADUCĂTOR
Oprea Nicolae, jaff2002 a yahoo o com